Uploaded image for project: 'OpenShift Bugs'
  1. OpenShift Bugs
  2. OCPBUGS-1984

Install Helm chart form doesn't allow the user select a specific version

    XMLWordPrintable

Details

    • Bug
    • Status: Closed
    • Normal
    • Resolution: Done
    • 4.11.0
    • 4.11.z
    • Dev Console
    • Moderate
    • ODC Sprint 225
    • Rejected
    • Hide

      None

      Show
      None

    Description

      Description of problem:

      When the user installs a helm chart, the dropdown to select a specific version is always disabled. Also for helm charts that can upgraded or downgraded after installation. For example the nodejs helm chart.

      Version-Release number of selected component (if applicable):

      At least 4.11, maybe all versions, but a backport to 4.11 is fine

      How reproducible:

      Always

      Steps to Reproduce:

      1. Switch to developer perspective
      2. Navigate to Add > Helm chart
      3. Select the Nodejs helm chart
      4. Try to select another version
      ..
      When the user installs the not selectable version and edit the helm chart there is another version to selec 

      Actual results:

      The version is not selectable.

      Expected results:

      The version should be selectable.

      Additional info:

       

      Attachments

        Issue Links

          Activity

            People

              jakumar jaivardhan Kumar
              dsantra12 Debsmita Santra
              Hemant Saini Hemant Saini
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: